summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2016-06-12 08:03:41 +0200
committerHans de Graaff <graaff@gentoo.org>2016-06-12 08:39:13 +0200
commit9f682a34fc112b7317bc3c5076289b62cc8be4e0 (patch)
tree09241fc8b9db9ce3df9b1047ed75ec377c109ca2
parentx11-terms/guake: Version bump. (diff)
downloadgentoo-9f682a34fc112b7317bc3c5076289b62cc8be4e0.tar.gz
gentoo-9f682a34fc112b7317bc3c5076289b62cc8be4e0.tar.bz2
gentoo-9f682a34fc112b7317bc3c5076289b62cc8be4e0.zip
dev-db/freetds: add 1.00.1
Package-Manager: portage-2.2.28
-rw-r--r--dev-db/freetds/Manifest1
-rw-r--r--dev-db/freetds/freetds-1.00.1.ebuild48
2 files changed, 49 insertions, 0 deletions
diff --git a/dev-db/freetds/Manifest b/dev-db/freetds/Manifest
index c570d5cfca0..1ff6057dd71 100644
--- a/dev-db/freetds/Manifest
+++ b/dev-db/freetds/Manifest
@@ -1,2 +1,3 @@
DIST freetds-0.91.tar.gz 2136329 SHA256 6a8148bd803aebceac6862b0dead1c5d9659f7e1038993abfe0ce8febb322465 SHA512 4dadafe49848ab5505b0fa5bd650e19e7652c3e1181d3c49f087c50ed055f395eaf5917a99744ed3594e4af9032c4e18f397af58fb1010e695ac2c0bc601b5e3 WHIRLPOOL 63662b56011edb6d22ce28cc7bad3af272ff81862f0d8ff65b113af260e3c8d05a9d941c1cf4b8039b99f460c3a5c8364dd69d42d8e98c0c92530462f732dec2
+DIST freetds-1.00.1.tar.gz 4649187 SHA256 a00048d5b1b568b62a7d1dd0e517e064273c9c7d807ca4a986f4e5ef0fc65e6c SHA512 dab5139ddc6e3c7a2c61f76dd833d7ff499c9b63329eb9712bb94e47700991ecd05e86aaa0900682dd7626660b13c124ecbf23c1dcc40f5ca855b3fb00a54d45 WHIRLPOOL 33096719913b81d90462b5392041117996ae942815e69b793723a5c90d17c2f1ebb16db193d93363c2d98525698c6ec741cc62b6430613163ad89da795defd79
DIST freetds-1.00.tar.gz 4648806 SHA256 604ff9fe95bf5e2e650f8648b19ae488959269a4274e95dc17e3b66f29779a9b SHA512 713aec9ac7952aa70a3e7f5fe3ab2d9be7b19511f1d58cf3397e80f99f155835508d9a7bf8dad37f64f07bc1c78258df3f17f3049f89e32cd2d654fd3b689bb4 WHIRLPOOL bf94e4b71602e779638df481a706bad147eb5c9596d8993b1409e1026a79e82162b5afdde923bdcb2b9bee498ade1b474fa7f99deb74652faf81b9c2dbed23a3
diff --git a/dev-db/freetds/freetds-1.00.1.ebuild b/dev-db/freetds/freetds-1.00.1.ebuild
new file mode 100644
index 00000000000..77a162b7909
--- /dev/null
+++ b/dev-db/freetds/freetds-1.00.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit autotools eutils
+
+DESCRIPTION="Tabular Datastream Library"
+HOMEPAGE="http://www.freetds.org/"
+SRC_URI="ftp://ftp.freetds.org/pub/freetds/stable/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~ppc-macos"
+IUSE="kerberos odbc iodbc mssql"
+RESTRICT="test"
+
+DEPEND="
+ iodbc? ( dev-db/libiodbc )
+ kerberos? ( virtual/krb5 )
+ odbc? ( dev-db/unixODBC )"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ config_rpath_update
+ sed -ie 's:with_iodbc/include":with_iodbc/include/iodbc":' configure.ac || die
+ eautoreconf
+}
+
+src_configure() {
+ local myconf="--with-tdsver=7.0 $(use_enable mssql msdblib)"
+
+ if use iodbc ; then
+ myconf="${myconf} --enable-odbc --with-iodbc=${EPREFIX}/usr"
+ elif use odbc ; then
+ myconf="${myconf} --enable-odbc --with-unixodbc=${EPREFIX}/usr"
+ fi
+ if use kerberos ; then
+ myconf="${myconf} --enable-krb5"
+ fi
+
+ econf ${myconf}
+}
+
+src_install() {
+ emake DESTDIR="${D}" DOCDIR="doc/${PF}" install
+}